MediaWiki:Vector.css: Difference between revisions

remove text underline of collapsed sidebar linkgroups, enable sugar theme text cursor with hotspot.
tweek text cursor
 
(4 intermediate revisions by the same user not shown)
Line 8: Line 8:
   padding-bottom:7px;
   padding-bottom:7px;
}
}
html, select, option, input[type="submit"], input[type="radio"], input[type="checkbox"] {
html, option, select {
   cursor: url(/images/0/08/ArrowSmall.cur), default;       
   cursor: url(/images/0/08/ArrowSmall.cur), default;       
}
}
p, #content li, pre, textarea, input[type="password"], input[type="search"] {
#firstHeading, span.mw-headline, p, dl, ul, ol, td, pre, textarea, input[type="password"], input[type="search"],
.loginText, #searchInput, input#wpSummary, label, input {
   cursor: url(/images/1/10/TextSmall.cur), text;
   cursor: url(/images/1/10/TextSmall.cur), text;
}
}
a:hover,
a:hover, input[type="checkbox"], input[type="submit"], input[type="radio"],
#mw-panel.collapsible-nav .portal.collapsed h5:hover,
.mw-ui-checkbox-label > input[type="checkbox"], .mw-ui-checkbox-label > input[type="radio"],
#preftoc a:hover {
.mw-ui-radio-label > input[type="checkbox"], .mw-ui-radio-label > input[type="radio"],
#mw-panel.collapsible-nav .portal h3:hover,
#mw-panel.collapsible-nav .portal.collapsed h3:hover,
#preftoc a:hover, .mw-editfooter-toggler {
   text-decoration: initial;
   text-decoration: initial;
  cursor: url(/images/f/fc/PointerSmall.cur), pointer;
}
}
#mw-panel.collapsible-nav div.portal div.body ul li {
#mw-panel.collapsible-nav div.portal div.body ul li {
Line 35: Line 40:
.editsection a:hover,
.editsection a:hover,
#contentSub a:hover, #contentSub2 a:hover {
#contentSub a:hover, #contentSub2 a:hover {
  text-decoration: inherit;
   border-bottom: 3px solid #333333;
   border-bottom: 3px solid #333333;
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;  
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;  
Line 50: Line 56:
span.linkgroup a:hover,
span.linkgroup a:hover,
div.vectorTabs a,
div.vectorTabs a,
div.vectorMenu h3 a,
div.vectorMenu h5 a,
div.vectorMenu h5 a,
div.vectorMenu li a,
div.vectorMenu li a,
Line 63: Line 70:
   border-bottom: none;
   border-bottom: none;
}
}
div#simpleSearch button#searchButton,
div.vectorTabs li a,
div.vectorTabs li a,
div.vectorTabs li a span,
div.vectorTabs li a span,